## 更新记录
1. 2024-10-21 
   - 修改了自动化测试脚本架构，使用PO模式，将共有方法封装在base目录下，任何模块都可以进行调用。
   - 将测试数据csv为文件统一放在测试数据目录下，并标注所属模块功能。
   - 将驱动加载方式改为更加灵活的自动下载方式，避免其他人员使用时手动下载驱动。
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但暂时还未与实际mqtt主题进行调试，需要先整理出所有的mqtt主题，再进行代码调试。
2. 2024-10-22
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但目前安卓信息上报后系统界面仍显示为离线。需进一步了解业务流后进行调试。后续完整多个安卓信息上报实现大量设备同时在线的功能验证。
   - 将安卓信息上报的MQTT相关函数封装到base目录下，方便后续调用以及维护管理。
   - 将MQTT上报消息通过csv进行读取，方便后续维护。
3. 2024-10-23
   - 优化安卓信息模块代码，MQTT一次性上报csv文件中的每行数据，并重复执行上报。
   - 了解清楚安卓信息的状态判断，后续将调试redis连接以及将键值对存入redis。
4. 2024-10-24
   - 优化MQTT底层方法，通过判断topic的值来发送不同的消息体。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 补充毫米波雷达数据上报数据，毫米波设备的device_id需要与实际设备匹配才行。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 修改提交git时代码中出现了很多非法字符的问题。
5. 2024-10-28
   - 优化了Mqtt_Send中封装的函数，补充异常处理以及日志优化。
6. 2024-11-02
   - 将原有pytest框架代码改为hytest框架使用，优化了脚本执行效率，并对应增加异常处理。
   - MQTT相关模块目前调整了Mqtt_Send.py文件中封装的方法优化，增加异常处理。处理了登录成功断言失败的问题。
   - 补充用户管理模块的新增用户部分代码，当前存在新增界面弹窗后定位失败问题。
7. 2024-11-04
   - 将用户管理模块的代码进行重构，将新增用户、删除用户、修改用户等公用的操作封装到base目录下，方便后续管理。
   - 使用元素定位插件进行定位，解决定位失败的问题。
   - 测试报告中补充用例截图。
   - 完成毫米波雷达的模拟数据上报，系统界面根据上报信息来回显，目前只造了100个模拟数据。
8. 2024-11-05
   - 完成用户管理模块的新增用户、删除用户、用户查询。补充脚本注释信息。
9. 2024-11-06
   - 完成用户管理模块的主流程代码。优化ddt_cases的读取方式，从csv中读取测试数据。并且将csv写入ddt_cases的代码封装成函数，后续方便管理。调试安卓信息MQTT上报没有成功的问题。问题已解决。
   - 优化ddt_cases的读取方式，从csv中读取测试数据。并且将csv写入ddt_cases的代码封装成函数，后续方便管理。
   - 调试安卓信息MQTT上报没有成功的问题。问题已解决。
10. 2024-11-07
   - 补充MQTT模块的README文档。
   - 补充脚本执行的命令注释。
11. 2024-11-08
   - 优化封装好的SELENIUM_LOG_SCREEN函数，增加三个参数用来指定截屏文件存放路径以及截屏文件名称。
12. 2024-11-11
   - 补充部门管理模块脚本，目前输出了部门新增、部门删除、部门编辑、部门查询。部门编辑还存在问题，待解决。
   - 测试调用钉钉机器人发送消息接口，调用失败，根据接口文档排查是由于webhook地址缺少拼接的密钥和时间戳导致，后续进一步验证。
   - 优化登录模块的脚本，使用hytest框架形式。
13. 2024-11-13
   - 已将部门管理、用户管理模块完全输出完成，部门编辑存在定位失败问题，暂时没排查出来。
   - 输出会议室管理相关模块的脚本，当前已输出功能管理模块的新增与编辑功能代码。
   - 封装正则表达式函数用来判断密码的字符格式。优化代码的可维护性。
14. 2024-11-14
   - 输出功能管理模块中的功能查询、功能删除相关代码。
   - 输出区域管理模块中的区域新增、区域删除相关代码。
   - 调整base类中封装的get_notify_text函数，调整传参类型，优化代码的可维护性，减少代码冗余。
   - 输出会议室管理模块中的会议室新增代码，待后续完善。
15. 2024-11-18
   - 输出会议室管理模块下的会议室新增、会议室删除、会议室查询的代码处理。剩余会议室编辑未输出。
16. 2024-11-19
   - 输出会议室管理模块下的会议室编辑代码处理，增加注释。
   - 补充完善当前已完成模块的脚本执行指令。
   - 输出会议预定代码，预约主流程已完成。
17. 2024-11-20
   - 排查驱动加载失败问题，问题由浏览器驱动与当前浏览器版本不同导致，已优化代码为自动根据浏览器版本下载对应驱动。
   - 补充关于定制化项目的脚本路径，补充工商银行查询停车缴费系统数据的代码。
   - 优化会议预约的脚本，增加预约类型、消息提醒、通知方式以及是否创建模板的代码判断，根据对应需求创建对应类型的会议。
   - 输出会议修改代码，增加预约类型的判断，处理对于周期会议的修改特殊处理。会议议题还需要补充完善。
18. 2024-11-21
   - 实现钉钉群消息提醒接口调用，后续切换到其他测试公司进行定时推送验证。
19. 2024-11-25
   - 实现定时执行任务并调用钉钉群消息发送函数，但调试过程中存在一些没有调用的问题，待排查。
   - 钉钉群消息提醒的param参数改为link链接形式，通过链接打开测试报告进行查看。
20. 2024-11-26
   - 调试定时任务的问题，还需再进一步调试。
   - 补充运维集控的MQTT底层方法与消息体构建。
   - 调试定时任务执行后钉钉消息没有发送的问题。将定时任务与测试报告文件获取封装成函数进行调用，方便后续维护管理。目前调试发现定时任务执行别的脚本时会出现异常问题，需要进一步排查。
21. 2024-11-27
   - 调试定时任务执行完成后没有发送钉钉群消息的问题，并优化SSL处理方式。
22. 2024-11-28
   - 封装get_reportfile_send_dingding函数用来获取测试报告文件并拼接IP地址，并发送钉钉群消息。优化定时任务run_automation_test函数的调用处理，并增加对于的日志输出。
   - 补充定时任务执行的注解。
   - 调整元素定位的显示等待时间，避免因服务器的网络波动导致元素获取异常。
   - 调整钉钉发送消息调用函数，去除callback回调。补充部门管理模块的定时执行任务。调整get_reportfile_send_dingding函数的参数。
23. 2024-11-29
   - 调整预定系统后台管理模块的执行顺序，将所有预定后台管理模块整合到一个执行指令中，优化各个模块之间的逻辑处理。调整各个模块的__st__.py的浏览器初始化调用。
   - 调整截屏函数的图片存放路径，并且将服务80端口映射出来，实现公网访问测试报告文件。增加ngrok程序，后续调整自动执行ngrok映射。
24. 2024-11-30
   - 调试定时任务执行后测试报告中的用例执行异常，问题是由一个调用方法写错导致，已调整解决。
25. 2024-12-09
   - 调整admin_login函数为传参形式。
   - 补充展厅巡检流程，预定SMC视讯会议，并进行安卓信息截屏。后续补充会控操作功能流程进行调试。
26. 2024-12-10
   - 调整browser_init函数改为传参方式传入登录页面URL，调整相关脚本的函数调用。
   - 根据展厅预定系统的巡检流程输出脚本程序。进一步调试会控界面部分元素定位失败的问题以及议题文件上传失败的问题。
   - 调试appium移动端脚本，控制手机进入腾讯会议查看会控界面是否正常。补充appium运行日志，调试定位失败问题。
27. 2024-12-11
   - 调试appium移动端脚本，控制手机进入腾讯会议。调试定位失败问题。更换定位工具以及定位方法调用。
   - 调试排查测试报告网址打不开问题，处理会控界面会场拖拽问题。
   - 处理issue_send_and_upload函数议题文件上传失败的问题。
28. 2024-12-12
   - 处理模拟器无纸化无法读取PAK问题，实现通过模拟器进行app自动化巡检流程。
   - 处理appium自动化截屏。
   - 输出富创项目的MQTT会议推送相关代码处理。
   - 输出富创项目的MQTT人脸签到订阅测试脚本，输出富创项目两个MQTT相关服务的README文档。
29. 2024-12-13
   - 补充MQTT的消息监听，监听到消息后，会通过日志输出消息体内容，可用于所有预定项目测试使用。
   - 补充富创项目的MQTT消息监听，监听到消息后，会通过日志输出消息体内容，可用于富创项目测试替代第三方工具使用。
   - 处理富创项目的MQTT预约、修改和删除会议消息体，增加代码可维护性。补充标准版安卓信息的监听代码。
30. 2024-12-14
   - 更新展厅巡检定时任务。通过覆盖的方式将appium的截图替换掉hytest的截图，从而实现appium的测试报告生成。
31. 2024-12-16
   - 补充展厅预定巡检的截图信息,补充开发调试使用的毫米波雷达模拟.
   - 修改主README文档,补充目录说明,执行指令,以及报告查看内容.
   - 调整展厅巡检脚本的操作流程，增加会场静音等操作与截图。输出会议修改相关代码。
32. 2024-12-17 
   - 处理展厅无纸化1.0的巡检流程，保留原无纸化2.0的验证流程。增加相关的信息截图。
   - 处理展厅巡检流程。
33. 2024-12-19
   - 处理富创项目的mqtt消息体参数值。
   - 调整钉钉发送消息的密钥和接口获取方式，通过最外层传参来进行控制需要发送的钉钉群。
   - 优化appium相关代码的注释。
34. 2024-12-20
   - 调整dingding调用函数的传参问题，调整定时任务执行时间为工作日。
   - 补充讯飞、运维以及统一平台的巡检流程，并整合展厅巡检目录的执行初始化文件。
   - 补充统一平台的软终端入会流程，完善统一平台的会控巡检流程。
25. 2024-12-23
   - 调整富创项目的MQTT消息体，补充参会人数据推送。处理展厅巡检的时间格式问题。
   - 补充对于服务器状态的监测，并体现在报告中做判断。
   - 补充历史会议模块中会议筛选功能的自动化验证处理。
26. 2024-12-24
   - 根据实际使用时巡检人员的反馈进行调整，定位会控按钮时增加判断，如定位不到即会控创建失败。
   - 调整巡检的执行时间。
   - 拆分出MQTT通用工具目录，用于后续开发测试人员进行模拟设备调试以及MQTT相关的程序验证。